| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
LuaDebuggerFindFrame Class Reference

Inline find/replace bar for the Lua debugger code editor (AccordionFrame). More...

`#include <lua_debugger_find_frame.h>`

Inheritance diagram for LuaDebuggerFindFrame:

## Public Member Functions
| LuaDebuggerFindFrame (QWidget *parent=nullptr)
| Constructs the find/replace bar.
| ~LuaDebuggerFindFrame () override
| Destroys the find/replace bar.
void | setTargetEditor (QPlainTextEdit *editor)
| Sets the code editor that find/replace operations act upon.
void | scheduleFindFieldFocus ()
| After animatedShow(), move focus to the find field (call from dialog).
Public Member Functions inherited from AccordionFrame
| AccordionFrame (QWidget *parent=0)
| Create an AccordionFrame with the given parent.
void | animatedShow ()
| Show the frame with a slide-down animation.
void | animatedHide ()
| Hide the frame with a slide-up animation.
void | updateStyleSheet ()
| Reapply the stylesheet after a palette or style change.

## Protected Member Functions
bool | eventFilter (QObject *watched, QEvent *event) override
| Intercepts events on watched objects to handle editor-side keyboard shortcuts.
void | keyPressEvent (QKeyEvent *event) override
| Handles key presses within the bar (e.g. Enter to find next, Escape to close).
Protected Member Functions inherited from AccordionFrame
virtual void | hideEvent (QHideEvent *) override
| Emit visibilityChanged(false) when the frame is hidden.
virtual void | showEvent (QShowEvent *) override
| Emit visibilityChanged(true) when the frame is shown.

## Additional Inherited Members
Signals inherited from AccordionFrame
void | visibilityChanged (bool visible)
| Emitted when the frame's visibility changes.

## Detailed Description

Inline find/replace bar for the Lua debugger code editor (AccordionFrame).

## Constructor & Destructor Documentation

## ◆ LuaDebuggerFindFrame()

LuaDebuggerFindFrame::LuaDebuggerFindFrame | ( | QWidget * | parent = nullptr | ) |
| explicit

Constructs the find/replace bar.

Parameters

  parent | The parent widget.

## Member Function Documentation

## ◆ eventFilter()

bool LuaDebuggerFindFrame::eventFilter | ( | QObject * | watched,
|  | QEvent * | event )
| override protected

Intercepts events on watched objects to handle editor-side keyboard shortcuts.

Parameters

  watched | The object whose events are being monitored.
  event | The event to inspect.

Returns
  True if the event was consumed, false to allow normal processing.

## ◆ keyPressEvent()

void LuaDebuggerFindFrame::keyPressEvent | ( | QKeyEvent * | event | ) |
| override protected

Handles key presses within the bar (e.g. Enter to find next, Escape to close).

Parameters

  event | The key press event.

## ◆ setTargetEditor()

void LuaDebuggerFindFrame::setTargetEditor | ( | QPlainTextEdit * | editor | ) |

Sets the code editor that find/replace operations act upon.

Parameters

  editor | The target QPlainTextEdit, or nullptr to detach.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/lua_debugger/lua_debugger_find_frame.h
- /builds/wireshark/wireshark/ui/qt/lua_debugger/lua_debugger_find_frame.cpp